import request from '@/utils/request'

export function getVideoList(query) {
  return request({
    url: '/vod/video/',
    method: 'get',
    params: query
  })
}
export function createVideo(data) {
  return request({
    url: '/vod/video/',
    method: 'post',
    data
  })
}
export function updateVideo(id, data) {
  return request({
    url: `/vod/video/${id}/`,
    method: 'put',
    data
  })
}
export function deleteVideo(id) {
  return request({
    url: `/vod/video/${id}/`,
    method: 'delete',
  })
}

export function getSignature() {
  return request({
    url: '/vod/signature/',
    method: 'get'
  })
}